Collator::asort
Collator::__construct
Collator
PHP Manual

# Collator::compare

# collator_compare

(PHP 5 >= 5.3.0, PECL intl >= 1.0.0)

Collator::compare -- collator_compare — Compare two Unicode strings

### Description

Object oriented style

int Collator::compare ( string `$str1` , string `$str2` )

Procedural style

int collator_compare ( Collator `$coll` , string `$str1` , string `$str2` )

Compare two Unicode strings according to collation rules.

### Parameters

`coll`

  Collator object.

`str1`

  The first string to compare.

`str2`

  The second string to compare.

### Return Values

Return comparison result:

- 1 if `str1` is greater than `str2` ;

- 0 if `str1` is equal to `str2`;

- -1 if `str1` is less than `str2` .

On error boolean `FALSE` is returned.
Warning

This function may return Boolean `FALSE`, but may also return a non-Boolean value which evaluates to `FALSE`, such as 0 or "". Please read the section on Booleans for more information. Use the === operator for testing the return value of this function.

### Examples

Example #1 collator_compare()example

`<?php
$s1 = 'Hello';
$s2 = 'hello';
$coll = collator_create( 'en_US' );
$res = collator_compare( $coll, $s1, $s2 );
if ($res === false) {
echo collator_get_error_message( $coll );
} else if( $res > 0 ) {
echo "s1 is greater than s2\n";
} else if( $res < 0 ) {
echo "s1 is less than s2\n";
} else {
echo "s1 is equal to s2\n";
}
?>`

The above example will output:

s1 is greater than s2

### See Also

- collator_sort() - Sort array using specified collator

Collator::asort
Collator::__construct
Collator
PHP Manual